﻿//
// WindowsFormsCSharp
//
// Copyright (c) 2016 http://www.curict.com
// This software is released under the MIT License, see LICENSE.txt.
//

using System;
using System.Data;
using System.Windows.Forms;

namespace WindowsFormsCSharp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        /// <summary>
        /// フォームが初めて表示される直前に発生するイベント
        /// </summary>
        private void Form1_Load(object sender, EventArgs e)
        {
            // DataTableを作成
            DataTable dataTable = new DataTable();
            dataTable.Columns.Add("表示列");
            dataTable.Columns.Add("データ列");

            // DataTableにデータを追加
            DataRow row = dataTable.NewRow();
            row["表示列"] = "みかん";
            row["データ列"] = "ID001";
            dataTable.Rows.Add(row);

            row = dataTable.NewRow();
            row["表示列"] = "りんご";
            row["データ列"] = "ID002";
            dataTable.Rows.Add(row);


            // コンボボックス1にデータをセット
            this.ComboBox1.DataSource = dataTable;
            this.ComboBox1.DisplayMember = "表示列";
            this.ComboBox1.ValueMember = "データ列";

            // コンボボックス2にデータをセット
            this.ComboBox2.DataSource = dataTable;
            this.ComboBox2.DisplayMember = "表示列";
            this.ComboBox2.ValueMember = "データ列";

            // コンボボックス2にマウスホイールイベントを登録
            this.ComboBox2.MouseWheel += new System.Windows.Forms.MouseEventHandler(this.ComboBox2_MouseWheel);
        }

        /// <summary>
        /// マウスホイールが動くと発生するイベント
        /// </summary>
        private void ComboBox2_MouseWheel(object sender, MouseEventArgs e)
        {
            // イベントを処理済みにし、選択値が変わらないようにする
            HandledMouseEventArgs eventArgs = e as HandledMouseEventArgs;
            eventArgs.Handled = true;
        }
    }
}
